[P9,Power NV][Witherspoon][Ubuntu 18.04][Perf] : PMU events by name it is not listed under perf list

Bug #1755470 reported by bugproxy on 2018-03-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Kernel Team
linux (Ubuntu)
High
Ubuntu on IBM Power Systems Bug Triage
Bionic
High
Ubuntu on IBM Power Systems Bug Triage

Bug Description

== Comment: #0 - Shriya R. Kulkarni <email address hidden> - 2018-01-03 04:50:13 ==
Problem Description :
=============

PMU events by name is not listed under perf list on Witherspoon Machine.

root@ltc-wspoon12:~# perf list | grep pm_
  power:dev_pm_qos_add_request [Tracepoint event]
  power:dev_pm_qos_remove_request [Tracepoint event]
  power:dev_pm_qos_update_request [Tracepoint event]
  power:device_pm_callback_end [Tracepoint event]
  power:device_pm_callback_start [Tracepoint event]
  power:pm_qos_add_request [Tracepoint eve

Hardware details :
==========
uname -a : Linux ltc-wspoon12 4.13.0-17-generic #20-Ubuntu SMP Mon Nov 6 10:03:08 UTC 2017 ppc64le ppc64le ppc64le GNU/Linux

Machine : Witherspoon + DD2.0 + Power NV
FW : OP9_v1.19_1.94
OS : Ubuntu 18.04

root@ltc-wspoon12:~# cat /etc/os-release
NAME="Ubuntu"
VERSION="18.04 LTS (Bionic Beaver)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu Bionic Beaver (development branch)"
VERSION_ID="18.04"

== Comment: #14 - Gustavo Luiz Ferreira Walbon <email address hidden> - 2018-03-08 07:58:19 ==
To set up the perf to list all PMU events for P9.

bugproxy (bugproxy) on 2018-03-13
tags: added: architecture-ppc64le bugnameltc-162961 severity-high targetmilestone-inin1804
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (frank-heimes) wrote :

Since kernel 4.13 is outdated on 18.04 and kernel 4.15 is available since quite some time:
 linux-generic | 4.15.0.10.11 | bionic | ppc64el
 linux-generic | 4.15.0.12.13 | bionic-proposed | ppc64el
please retry again with the latest kernel (ideally the one from 'bionic proposed').

tags: added: triage-g
tags: added: kernel-da-key
Changed in ubuntu-power-systems:
status: New → Triaged
importance: Undecided → High

------- Comment From <email address hidden> 2018-03-14 07:04 EDT-------
Hi ,

Verified on Witherspoon DD2.2 machine . I am unable to see PMU events under perf list.

uname -a : Linux ltc-wspoon4 4.15.0-12-generic #13-Ubuntu SMP Wed Mar 7 21:37:03 UTC 2018 ppc64le ppc64le ppc64le GNU/Linux

root@ltc-wspoon4:~# perf list | grep pm_
power:dev_pm_qos_add_request [Tracepoint event]
power:dev_pm_qos_remove_request [Tracepoint event]
power:dev_pm_qos_update_request [Tracepoint event]
power:device_pm_callback_end [Tracepoint event]
power:device_pm_callback_start [Tracepoint event]
power:pm_qos_add_request [Tracepoint event]
power:pm_qos_remove_request [Tracepoint event]
power:pm_qos_update_flags [Tracepoint event]
power:pm_qos_update_request [Tracepoint event]
power:pm_qos_update_request_timeout [Tracepoint event]
power:pm_qos_update_target [Tracepoint event]
rpm:rpm_idle [Tracepoint event]
rpm:rpm_resume [Tracepoint event]
rpm:rpm_return_int [Tracepoint event]
rpm:rpm_suspend [Tracepoint event]

Hence moving the status to : Fix Submitted

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-03-15 01:00 EDT-------
Updating for reference :
===============

Also verified on bionic kernel : 4.15.0-10-generic #11-Ubuntu

and Perf version is : perf version 4.15.3

root@ltc-boston122:~# perf list | grep pm_
power:dev_pm_qos_add_request [Tracepoint event]
power:dev_pm_qos_remove_request [Tracepoint event]
power:dev_pm_qos_update_request [Tracepoint event]
power:device_pm_callback_end [Tracepoint event]

Changed in ubuntu-power-systems:
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Joseph Salisbury (jsalisbury) wrote :

Is there a commit in mainline to address this bug?

Changed in linux (Ubuntu):
status: New → Triaged
importance: Undecided → High
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-03-15 15:45 EDT-------
Yes, there is.

commit fbc2844e84038ce3687d203ac80b66194e9f21e6
Author: William Cohen <email address hidden>
Date: Mon Dec 4 09:57:28 2017 -0500

perf vendor events: Use more flexible pattern matching for CPU identification for mapfile.csv

Changed in linux (Ubuntu Bionic):
status: Triaged → Fix Committed
Changed in ubuntu-power-systems:
status: Triaged → Fix Committed
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-04-05 10:28 EDT-------
I have installed the proposed kernel and test it on a P9 DD2.2 Machine with follow results:

$ uname -a
Linux ltc-wspoon3 4.15.0-15-generic #16-Ubuntu SMP Wed Apr 4 13:57:51 UTC 2018 ppc64le ppc64le ppc64le GNU/Linux

$ sudo perf list | grep pm_
...
power:dev_pm_qos_add_request [Tracepoint event]
power:dev_pm_qos_remove_request [Tracepoint event]
power:dev_pm_qos_update_request [Tracepoint event]
power:device_pm_callback_end [Tracepoint event]
power:device_pm_callback_start [Tracepoint event]
power:pm_qos_add_request [Tracepoint event]
power:pm_qos_remove_request [Tracepoint event]
power:pm_qos_update_flags [Tracepoint event]
power:pm_qos_update_request [Tracepoint event]
power:pm_qos_update_request_timeout [Tracepoint event]
power:pm_qos_update_target [Tracepoint event]
rpm:rpm_idle [Tracepoint event]
rpm:rpm_resume [Tracepoint event]
rpm:rpm_return_int [Tracepoint event]
rpm:rpm_suspend [Tracepoint event]

$ lscpu | grep Model
Model: 2.2 (pvr 004e 1202)
Model name: POWER9, altivec supported

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-04-06 05:01 EDT-------
Verified on Ubuntu 1804 : 4.15.0-15-generic

Machine : Boston , P9 machine.

Tested :

root@ltc-boston122:~# perf list | grep pm_
pm_br_mpred_cmpl
pm_cmplu_stall_dmiss_l2l3
pm_cmplu_stall_dmiss_l2l3_conflict
pm_cmplu_stall_flush_any_thread
pm_cmplu_stall_fxlong
pm_cmplu_stall_fxu
pm_cmplu_stall_larx
pm_cmplu_stall_lhs
pm_cmplu_stall_lmq_full
pm_cmplu_stall_load_finish

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-04-09 01:52 EDT-------
Closing this bug as per the above comment.

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers